From e649149c22b211d368d789a07fc6ec6c29e16638 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Sat, 10 Oct 2009 11:11:31 +0200
Subject: [PATCH] No 'kernel' package for ARM.

Change Requires to Conflicts.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 systemtap.spec |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/systemtap.spec b/systemtap.spec
index 960d2e1..d40060a 100644
--- a/systemtap.spec
+++ b/systemtap.spec
@@ -9,7 +9,7 @@
 
 Name: systemtap
 Version: 1.0
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 # for version, see also configure.ac
 Summary: Instrumentation System
 Group: Development/System
@@ -19,7 +19,7 @@ Source: ftp://sourceware.org/pub/%{name}/releases/%{name}-%{version}.tar.gz
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-Requires: kernel >= 2.6.9-11
+Conflicts: kernel < 2.6.9-11
 %if %{with_sqlite}
 BuildRequires: sqlite-devel
 %endif
@@ -387,6 +387,9 @@ exit 0
 
 
 %changelog
+* Sat Oct 10 2009 Kedar Sovani <kedars@marvell.com> 
+- Change Requires to Conflicts
+
 * Tue Sep 22 2009 Josh Stone <jistone@redhat.com> - 1.0-1
 - Upstream release.
 
-- 
1.5.5.6

